package com.muyu.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: 报文模板
 * @Author: DongZeLiang
 * @date: 2024/9/18
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "message_template")
public class MessageTemplate {

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private String id;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 报文名称
     */
    private String messageName;

    /**
     * 报文名称
     */
    private String description;

    /**
     * 创建时间
     */
    private String createTime;
}
