package com.muyu.system.exception;

import lombok.Data;
import lombok.EqualsAndHashCode;





/**
 * @Author: DongZeLiang
 * @date: 2024/9/13
 * @Description: 公共异常
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BasicException extends RuntimeException{

    private final int code;

    private final String msg;


    /**
     * Returns the detail message string of this throwable.
     *
     * @return the detail message string of this {@code Throwable} instance
     * (which may be {@code null}).
     */
    @Override
    public String getMessage () {
        return this.msg;
    }
}
