package com.muyu.web.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author DongZl
 * @description: 车辆请求
 * @Date 2023-11-25 上午 10:03
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleInstanceListReq {

    /**
     * 分页
     */
    private Long page;

    /**
     * 分页大小
     */
    private Long pageSize;

    /**
     * VIN
     */
    private String vin;

    /**
     * 上线优先展示
     */
    private boolean online;




}
