package com.muyu.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.web.domain.ServerConfig;
import com.muyu.web.domain.model.ServerConfigModel;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/10
 * @Description: 服务器配置业务层
 * @Version: 1.0
 */
public interface ServerConfigService extends IService<ServerConfig> {

    /**
     * 获取配置模型
     * @return 配置模型
     */
    ServerConfigModel get ();

    /**
     * 修改配置
     * @param serverConfigModel 配置模型
     */
    void edit (ServerConfigModel serverConfigModel);
}
